/*
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_bjm;

import org.junit.Ignore;
import org.junit.Test;

import client.TestConfiguration;

/**
 * Client for BJM_6002_TestCase
 * 
 * For an SCA service with a JMS binding and unidirectional interface, when a request
 * message is received as part of a one-way MEP, the SCA runtime MUST ignore the
 * JMSReplyTo destination header in the JMS message, and not raise an error * 
 * 
 */
public class BJM_6002_TestCase  extends NamedReplyJMSTestRunner {
	
	   protected TestConfiguration getTestConfiguration() {
	    	NamedReplyJMSTestConfiguration config = new NamedReplyJMSTestConfiguration();
	    	config.testName          = this.getClass().getSimpleName().substring(0, 8);
	    	config.input             = "BJM_6002 request message";
	    	config.output[0]         = "<?xml version=\"1.0\" encoding=\"UTF-8\"?><arg0>service3 operation1 invoked with BJM_6002 request message</arg0>";
	    	config.composite         = "Test_" + config.testName + ".composite";
	    	config.contributionNames = new String[] { "BJM_6002", "BJM_General", "BJM_General" + _Lang };
	        config.destinationName   = "TEST_BJM_6002_Service_Queue";
	        config.calloutDestinationName = "TEST_BJM_6002_Reference_Queue";
	 
	    	return config;
	    }

	    /**
	     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
	     */
	    @Ignore
	    @Test
	    public void testFoo() throws Exception {  	
	    }
}  // end class BJM_6002_TestCase
