/*
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_bjm;

import org.junit.Ignore;
import org.junit.Test;

import client.TestConfiguration;

/**
 * Client for BJM_6003_1_TestCase
 * 
 * For an SCA reference with a JMS binding that has a destination specified via the
 * response element, the SCA runtime MUST receive response messages as defined by
 * the binding's @correlationScheme attribute
 *
 * This is the test for sca:messageID
 */
public class BJM_6003_1_TestCase extends BaseJMSTestRunner {
	
    protected TestConfiguration getTestConfiguration() {
        JMSTestConfiguration config = new JMSTestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 10);
    	config.input 		 	 = "request message";
    	config.output[0] 		 = "<?xml version=\"1.0\" encoding=\"UTF-8\"?><return>service1 operation1 invoked service1 operation1 invoked with BJM_6003_1 request message</return>";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.contributionNames = new String[] { "BJM_6003_1", "BJM_General", "BJM_General" + _Lang };
        config.destinationName   = "TEST_BJM_6003_Receive_Queue";
    	config.mockServiceDestinationName = "TEST_BJM_6003_Service_Queue";
    	return config;
    }
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }

}  // end class BJM_6003_1_TestCase
